## yubihsm-connector 3.0.5

=== Makefile ===
# yubihsm-connector

MAKEFLAGS += -s
MAKEFLAGS += --no-builtin-rules
.SUFFIXES:

all: build

gen:
	@go generate

build: gen
	@go build -o bin/yubihsm-connector

rebuild: clean build

install: build
	install bin/yubihsm-connector /usr/local/bin

cert:
	@./tools/generate-certificate

run: build
	@./bin/yubihsm-connector -d

srun: cert build
	@./bin/yubihsm-connector -d --cert=var/cert.crt --key=var/cert.key

fmt:
	@go fmt

vet: gen
	@go vet

test: vet
	@go test -v

docker-clean:
	@docker rmi yubico/yubihsm-connector

docker-build:
	@docker build -t yubico/yubihsm-connector -f Dockerfile .

docker-run:
	@docker run --rm -it --privileged -v ${PWD}:/yubihsm-connector -v /dev/bus/usb/:/dev/bus/usb/ -p 12345:12345 yubico/yubihsm-connector

clean:
	@rm -rf bin/* pkg/* *.syso versioninfo.json version.go

.PHONY: all build fmt vet test clean version

## yubihsm-connector 3.0.4

=== debian/changelog ===
yubihsm-connector (3.0.4-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Colin Watson <cjwatson@debian.org>  Wed, 03 Jul 2024 10:48:23 +0100

yubihsm-connector (3.0.4-2) unstable; urgency=medium

  * Source-only reupload.

 -- Colin Watson <cjwatson@debian.org>  Fri, 28 Jun 2024 01:13:08 +0100

yubihsm-connector (3.0.4-1) unstable; urgency=medium

  * Initial release (closes: #1074007).

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Jun 2024 17:01:53 +0100

=== debian/control ===
Source: yubihsm-connector
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Freexian Packaging Team <team+freexian@tracker.debian.org>, Colin Watson <cjwatson@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-google-gousb-dev,
 golang-github-google-uuid-dev,
 golang-github-kardianos-service-dev,
 golang-github-sirupsen-logrus-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-viper-dev,
 golang-gopkg-yaml.v3-dev,
 libusb-1.0-0-dev,
Standards-Version: 4.7.0
Homepage: https://developers.yubico.com/yubihsm-connector/
Vcs-Browser: https://salsa.debian.org/pkg-security-team/yubihsm-connector
Vcs-Git: https://salsa.debian.org/pkg-security-team/yubihsm-connector.git
XS-Go-Import-Path: github.com/Yubico/yubihsm-connector

Package: yubihsm-connector
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 ${shlibs:Depends},
 ${misc:Depends},
XB-Static-Built-Using:
 ${misc:Static-Built-Using},
Description: USB to HTTP bridge for the YubiHSM 2
 The YubiHSM 2 is a USB-attached device for managing cryptographic keys.
 The YubiHSM Connector bridges the USB communication to HTTP, allowing
 applications to use the device without needing direct access to the device
 node, or needing to be on the same machine.
 .
 The Connector is not a trusted component.  Applications establish
 cryptographic sessions with the device.

=== debian/rules ===
#! /usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := VERSION
export DH_GOLANG_GO_GENERATE := 1

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-source
	cp -a deb/yubihsm-connector debian/yubihsm-connector.init
	cp -a deb/yubihsm-connector.service debian/yubihsm-connector.service
	cp -a deb/70-yubihsm-connector.rules debian/yubihsm-connector.udev

## yubihsm-connector 3.0.5

=== debian/changelog ===
yubihsm-connector (3.0.5-3) unstable; urgency=medium

  * Disable -buildmode=pie on mipsel.
  * Switch from adduser to sysusers.d.

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Aug 2025 11:41:22 +0100

yubihsm-connector (3.0.5-2) unstable; urgency=medium

  * Drop Wants=systemd-networkd-wait-online.service (part of #1085147).

 -- Colin Watson <cjwatson@debian.org>  Thu, 29 May 2025 15:26:09 +0100

yubihsm-connector (3.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Enable autopkgtest-pkg-go.

 -- Colin Watson <cjwatson@debian.org>  Fri, 13 Sep 2024 01:17:09 +0100

yubihsm-connector (3.0.4-4) unstable; urgency=medium

  * Trigger udev rules on installation (closes: #1081398).

 -- Colin Watson <cjwatson@debian.org>  Wed, 11 Sep 2024 18:31:49 +0100

yubihsm-connector (3.0.4-3) unstable; urgency=medium

  * Apply X-Style: black.
  * Build with -buildmode=pie (except on mips64el).

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Jul 2024 18:02:15 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Freexian Packaging Team <team+freexian@tracker.debian.org>, Colin Watson <cjwatson@debian.org>
+Uploaders:
+ Freexian Packaging Team <team+freexian@tracker.debian.org>,
+ Colin Watson <cjwatson@debian.org>,
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
+ dh-sequence-installsysusers,
  golang-any,
  golang-github-google-gousb-dev,
  golang-github-google-uuid-dev,
@@ -20,16 +23,17 @@
 Homepage: https://developers.yubico.com/yubihsm-connector/
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/yubihsm-connector
 Vcs-Git: https://salsa.debian.org/pkg-security-team/yubihsm-connector.git
+Testsuite: autopkgtest-pkg-go
 XS-Go-Import-Path: github.com/Yubico/yubihsm-connector
+X-Style: black
 
 Package: yubihsm-connector
 Architecture: any
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- adduser,
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
 XB-Static-Built-Using:
  ${misc:Static-Built-Using},
 Description: USB to HTTP bridge for the YubiHSM 2

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,17 @@
 export DH_GOLANG_INSTALL_EXTRA := VERSION
 export DH_GOLANG_GO_GENERATE := 1
 
+buildflags :=
+# https://github.com/golang/go/issues/21222
+ifeq (,$(filter $(DEB_HOST_ARCH),mips64el mipsel))
+  buildflags += -buildmode=pie
+endif
+
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang
+
+override_dh_auto_build:
+	dh_auto_build -- $(buildflags)
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source

=== debian/watch ===
version=4
https://developers.yubico.com/yubihsm-connector/Releases/ \
    @PACKAGE@-(\d[\d.]*)@ARCHIVE_EXT@

## yubihsm-connector 3.0.6

=== debian/changelog ===
yubihsm-connector (3.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 21 Jan 2026 12:53:52 +0000

yubihsm-connector (3.0.5-4) unstable; urgency=medium

  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Sun, 23 Nov 2025 12:00:28 +0000

## yubihsm-connector 3.0.7

=== debian/changelog ===
yubihsm-connector (3.0.7-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 29 Jan 2026 11:23:21 +0000
